%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-curses
Version:        1.0.11
Release:        %mkrel 1
Summary:        OCaml bindings for ncurses
Group:          Development/OCaml
License:        LGPLv2+
URL:            https://github.com/mbacarella/curses
VCS:            git:%{url}.git
Source0:        %{url}/archive/%{version}/curses-%{version}.tar.gz

BuildRequires:  ocaml >= 4.02.0
BuildRequires:  ocaml-dune >= 2.7
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  pkgconfig(ncurses)

%description
OCaml bindings for ncurses.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
BuildRequires:  pkgconfig(ncurses)

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n curses-%{version}


%build
%dune_build


%install
%dune_install


%check
%dune_check


%files -f .ofiles
%doc CHANGES.md README.md
%license COPYING


%files devel -f .ofiles-devel
%license COPYING


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 1.0.11-1.mga10
+ Revision: 2193749
- new version: 1.0.11

* Wed May 18 2022 pterjan <pterjan> 1.0.4-9.mga9
+ Revision: 1858759
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 1.0.4-8.mga9
+ Revision: 1832482
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1.0.4-7.mga9
+ Revision: 1750919
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 1.0.4-6.mga9
+ Revision: 1697377
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 1.0.4-5.mga8
+ Revision: 1670442
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.0.4-4.mga8
+ Revision: 1551139
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1544386
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 tv <tv> 1.0.4-2.mga8
+ Revision: 1482985
- rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Nov 21 2018 daviddavid <daviddavid> 1.0.4-1.mga7
+ Revision: 1332593
- new version: 1.0.4
- remove patch which is now fixed upstream
- reenable debug package as it should

* Tue Oct 23 2018 tv <tv> 1.0.3-21.mga7
+ Revision: 1324043
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.0.3-20.mga7
+ Revision: 1323731
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-19.mga7
+ Revision: 1299859
- Mageia 7 Mass Rebuild

* Fri Jan 05 2018 tv <tv> 1.0.3-18.mga7
+ Revision: 1190419
- fix detection of <term.h>

* Sun Nov 26 2017 tv <tv> 1.0.3-17.mga7
+ Revision: 1179499
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 1.0.3-16.mga6
+ Revision: 1056323
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 1.0.3-15.mga6
+ Revision: 956348
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.0.3-14.mga6
+ Revision: 893274
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-13.mga5
+ Revision: 750051
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-12.mga5
+ Revision: 683017
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.3-11.mga4
+ Revision: 534897
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 blue_prawn <blue_prawn> 1.0.3-10.mga4
+ Revision: 480079
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-9.mga3
+ Revision: 361266
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.0.3-8.mga3
+ Revision: 301437
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0.3-6.mga3
+ Revision: 300063
- new rpm group for ocaml

* Mon Oct 03 2011 shlomif <shlomif> 1.0.3-5.mga2
+ Revision: 151308
- Rebuild for new ocaml. Thanks to Malo

* Sun Oct 02 2011 fwang <fwang> 1.0.3-4.mga2
+ Revision: 150910
- fix group
- rebuild for new ocaml

* Mon Mar 21 2011 saispo <saispo> 1.0.3-1.mga1
+ Revision: 75203
- imported package ocaml-curses

